Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store.jpa
Class ConfStoreConnectionJpa

    java.lang.Object
      org.apache.ode.store.jpa.ConfStoreConnectionJpa

All Implemented Interfaces:
  ConfStoreConnection

    public class ConfStoreConnectionJpa

extends java.lang.Object
implements ConfStoreConnection

Constructor Summary
`ConfStoreConnectionJpa(javax.persistence.EntityManager em)`

Method Summary
`void` | `begin()`
`void` | `close()`
`void` | `commit()`
`DeploymentUnitDAO` | `createDeploymentUnit(java.lang.String name)`
`DeploymentUnitDAO` | `getDeploymentUnit(java.lang.String name)`
`java.util.Collection<DeploymentUnitDAO>` | `getDeploymentUnits()`
`long` | `getNextVersion()`
`void` | `rollback()`
`void` | `setVersion(long version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfStoreConnectionJpa

    public ConfStoreConnectionJpa(javax.persistence.EntityManager em)

Method Detail

### begin

    public void begin()

  Specified by:
    `begin` in interface `ConfStoreConnection`

### close

    public void close()

  Specified by:
    `close` in interface `ConfStoreConnection`

### commit

    public void commit()

  Specified by:
    `commit` in interface `ConfStoreConnection`

### createDeploymentUnit

    public DeploymentUnitDAO createDeploymentUnit(java.lang.String name)

  Specified by:
    `createDeploymentUnit` in interface `ConfStoreConnection`

### getDeploymentUnit

    public DeploymentUnitDAO getDeploymentUnit(java.lang.String name)

  Specified by:
    `getDeploymentUnit` in interface `ConfStoreConnection`

### getDeploymentUnits

    public java.util.Collection<DeploymentUnitDAO> getDeploymentUnits()

  Specified by:
    `getDeploymentUnits` in interface `ConfStoreConnection`

### rollback

    public void rollback()

  Specified by:
    `rollback` in interface `ConfStoreConnection`

### getNextVersion

    public long getNextVersion()

  Specified by:
    `getNextVersion` in interface `ConfStoreConnection`

### setVersion

    public void setVersion(long version)

  Specified by:
    `setVersion` in interface `ConfStoreConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD